require 'minitest/autorun'
require 'minitest/unit'
require 'minitest/pride'

require 'rubygems'
require 'bundler/setup'
require_relative '../lib/condor-job'

class TestBasic < MiniTest::Unit::TestCase

  def test_simple_run
    puts "Running a simple job"
    j = Condor::Job.new 'echo "hello"'
    j.run
    while !j.done?
      j.update
      sleep 2
      if j.running?
        puts "running #{j.runtime} @ #{j.job_data.remote_host}"
      elsif j.held?
        puts "held : #{j.job_data.hold_reason}"
	#break
      elsif j.idle?
        puts "idle"
      end
    end

    puts "output: #{j.output}, error: #{j.error}"
  end

  def test_pool
    puts "Pool test"
    c = Condor::Pool.new
    job = c.add ['echo "hi there"', 'sleep 2']
    job1 = c.add 'echo "reply"', job
    job2 = c.add 'echo "priority reply"', job, 1
    c.add 'echo "wait for all reply"', [job1, job2]
    puts "Waiting for the pool"
    c.finalize
  end
  
end
